View Issue Details

IDProjectCategoryView StatusLast Update
0019090LazarusIDEpublic2011-10-05 16:20
ReporterAlexander S. KleninAssigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019090: List-out-of-bounds in collection editor after deleting item in OI
DescriptionDeleting item via object inspector does incomplete update of
collection editor.
Steps To Reproduce1) Create a component with collection property (I tested on TChart)
2) Add at least two items to collection
3) Remove one item via object inspector
=>
Collection editor will still have "Up" button activated.
Pressing this button causes an exception.
TagsNo tags attached.
Fixed in Revision32674
LazTarget-
Widgetset
Attached Files

Relationships

related to 0019091 closedJuha Manninen Collection editor is not updated after adding item via OI 

Activities

Vincent Snijders

2011-10-04 16:18

manager   ~0052512

Tested with TChart.AxisList.

Alexander S. Klenin

2011-10-05 16:20

developer   ~0052573

thanks

Issue History

Date Modified Username Field Change
2011-04-04 18:54 Alexander S. Klenin New Issue
2011-04-04 18:54 Alexander S. Klenin LazTarget => -
2011-10-03 09:05 Juha Manninen Relationship added related to 0019091
2011-10-04 16:18 Vincent Snijders Note Added: 0052512
2011-10-04 16:18 Vincent Snijders Status new => confirmed
2011-10-04 16:54 Vincent Snijders Fixed in Revision => 32674
2011-10-04 16:54 Vincent Snijders Status confirmed => resolved
2011-10-04 16:54 Vincent Snijders Fixed in Version => 0.9.31 (SVN)
2011-10-04 16:54 Vincent Snijders Resolution open => fixed
2011-10-04 16:54 Vincent Snijders Assigned To => Vincent Snijders
2011-10-05 16:20 Alexander S. Klenin Status resolved => closed
2011-10-05 16:20 Alexander S. Klenin Note Added: 0052573